Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2021-02389, UID# 3045
App. Status: Expired

Valid: 06/21/2021 - 06/24/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2752 (06/18/2021)

Charge Cost Quantity Total
Non-Taxable
added 06/18/2021 11:38 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/18/2021 12:22 PM

For movement on Plant Road

$100.00 x 1 $100.00
Grand Total
Total $130.00
Payment 06/18/2021$130.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJarrod J. Puetz - 06/18/2021 11:41 AM
79375f3a077177f56810ebeedf1fb498
f96a18ab794668ae0d0b10372db8b7ac
 
#1 Permit Issuing OfficialKen Miller - 06/18/2021 12:23 PM
d8d1424d2907a992df94d32ddfc49a6f
64332877455ad2da51be4b421d42a4fe
 
Permit has been approved. All signatures have been obtained.